@use '_components';

.hidden {
  display: none;
}

.origin-top-left {
  transform-origin: top left;
}

.dashboard {
  padding-bottom: 1.5rem;

  &__container {
    padding: 1rem;
  }

  fieldset {
    border: 0;
    margin: 0;
    min-width: 0;
    padding: 0;
  }

  legend {
    align-items: center;
    color: #334155;
    display: flex;
    font-size: 17px;
    font-weight: 700;
    padding: 15px 0 15px;
    width: 100%;
    margin-bottom: 1rem;
  }
}

.private-layout {
  display: flex;
  height: 100vh;

  &__nav {
    max-width: 280px;
    border-right: 1px solid var(--border-default-grey);
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    min-height: 100vh;

    & > *:not(:first-child) {
      padding: 1.5rem 1rem;
      margin: 0;
    }

    & > *:nth-child(2) {
      padding-bottom: 0;
    }
  }

  @media (min-width: 993px) {
    &__body {
      margin-left: 280px;
    }
  }

  &__logo-box {
    padding: 0.5rem 2rem;
    height: 71px;
    border-bottom: 1px solid var(--border-default-grey);

    p {
      padding: 0;
      margin: 0;
      font-weight: bold;
      font-size: 0.8rem;
      line-height: 0.8rem;
      color: var(--text-label-blue-france);
      [data-fr-theme='dark'] & {
        color: var(--text-label-blue-france-dark);
      }
    }
  }

  &__logo {
    color: transparent;
    max-height: 60px;
    width: auto;
    padding: 4px;
  }

  &__footer {
    padding: 1.5rem 1rem;
    -webkit-box-flex: 0;
    flex-grow: 0;
    border-top: 1px solid var(--border-default-grey);
    margin-top: auto !important;
  }

  #aei-planning-search:not(:empty) {
    border-top: 1px solid var(--border-default-grey);
  }

  &__header {
    width: calc(100vw - 295px);
    top: 0;
    z-index: 1100;
    border-bottom: 1px solid var(--border-default-grey);
    height: 71px;

    @media (max-width: 992px) {
      width: 100vw;
    }

    &-inner {
      display: flex;
      flex-direction: row;
      -webkit-box-align: center;
      align-items: center;
      -webkit-box-pack: justify;
      justify-content: space-between;
      min-height: 64px;
      padding-left: 1rem;
      padding-right: 1rem;
      height: 72px;
    }
  }

  main {
    width: 100vw;
    min-height: calc(100vh - 72px);
    @media (min-width: 993px) {
      width: calc(100vw - 295px);
    }
  }

  header h2,
  header p {
    margin: 0;
  }

  @media (max-width: 992px) {
    header h2 {
      font-size: 1.15rem;
    }
  }
}

.fr-sidemenu {
  padding-right: 0;
}

.fr-sidemenu__inner {
  box-shadow: none;
}

.fr-sidemenu__link {
  font-weight: bolder;
}

.fr-sidemenu__link span {
  padding-right: 1rem;
}

.sidenav.sidenav-fixed {
  left: 0;
  transform: translateX(0);
  position: fixed;
}

@media only screen and (max-width: 992px) {
  .sidenav.sidenav-fixed {
    transform: translateX(-105%);
  }

  .fr-sidemenu {
    padding: 1rem;
  }
}

.sidenav {
  position: fixed;
  width: 300px;
  left: 0;
  top: 0;
  margin: 0;
  height: 100%;
  height: -moz-calc(100%);
  background-color: var(--background-default-grey);
  z-index: 1001;
  overflow-y: auto;
  will-change: transform;
  backface-visibility: hidden;
  transform: translateX(-105%);
  transition: transform 0.1s;
}

.sidenav-open {
  transform: translateX(0) !important;
}

.sidenav-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5); /* Fond noir transparent */
  z-index: 1000; /* S'assurer que l'overlay est sous le dropdown */
}

#intervention-add-button {
  margin-left: auto;
  padding: 0 15px;
}

.aei-user-menu {
  position: relative;
  display: inline-block;
}

.user-menu.dropdown-menu > div.fr-hidden-md {
  display: flex;
  justify-content: flex-end;
}

@page {
  size: A4; /* Format de la page */
  margin: 10mm; /* Marges par défaut de 20mm */
}

@media print {
  .aei-intervention-viewer {
    columns: 2; /* Définit 2 colonnes */
    column-gap: 20px; /* Espacement entre les colonnes */
    column-fill: auto; /* Remplit les colonnes de manière naturelle */
    font-size: 14px;
    line-height: 1.5;
  }

  /* Assurer que les nouvelles pages ne cassent pas le flux */
  .page-break {
    break-before: page;
  }

  h1,
  h2,
  h3 {
    column-span: all; /* Permet aux titres de s'étendre sur les colonnes */
  }
}
